package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Permission;
import com.xintong.visualinspection.pojo.RolePermision;

/**
 * 文件名：PermissionDao
 * 版本信息：日期：2017/3/31 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface PermissionDao {
    public List<Permission> findAll();
    public List<Permission> getPermission(Permission permission);
    public void insert(Permission permission);
    public void update(Permission permission);
    public void delete(Integer id);
    public List<Permission> findByAdminUserId(int userId);
    public List<Permission> getByRoleId(int roleId);
    
    public void addrolepermision(RolePermision rolePermision);
    
    public void deleterolepermision(RolePermision rolePermision);
    public void updaterolepermision(RolePermision rolePermision);
    
    
    
}
